> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pdf.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Extract Data from Email File

> Decode an email message to extract its components.

## `POST /v1/email/decode`

<Note>For converting email to PDF please see [PDF from Email](/api-reference/pdf-from-email).</Note>

## Attributes

<Note>Attributes are case-sensitive and should be inside JSON for POST request. for example: `{ "url": "https://example.com/file1.pdf" }`</Note>

| Attribute                     | Type    | Required | Default | Description                                                                                                                                                                                                                                      |
| ----------------------------- | ------- | -------- | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `url`                         | string  | *Yes*    | -       | URL to the source file [`url` attribute](/api-reference/url-input-and-request-limits#supported-file-sources)                                                                                                                                     |
| `callback`                    | string  | *No*     | -       | The callback URL (or Webhook) used to receive the POST data. see [Webhooks & Callbacks](/api-reference/webhooks). This is only applicable when `async` is set to `true`.                                                                         |
| `inline`                      | boolean | *No*     | `false` | Set to true to return results inside the response. Otherwise, the endpoint will return a URL to the output file generated.                                                                                                                       |
| `async`                       | boolean | *No*     | `false` | Set `async` to `true` for long processes to run in the background, API will then return a `jobId` which you can use with the [Background Job Check endpoint](/api-reference/job-check). Also see [Webhooks & Callbacks](/api-reference/webhooks) |
| `profiles`                    | object  | *No*     | -       | See [Profiles](/api-reference/profiles) for more information.                                                                                                                                                                                    |
|     `DataEncryptionAlgorithm` | string  | *No*     | -       | Controls the encryption algorithm used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information. The available algorithms are: `AES128`, `AES192`, `AES256`.                        |
|     `DataEncryptionKey`       | string  | *No*     | -       | Controls the encryption key used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                          |
|     `DataEncryptionIV`        | string  | *No*     | -       | Controls the encryption IV used for data encryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                           |
|     `DataDecryptionAlgorithm` | string  | *No*     | -       | Controls the decryption algorithm used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information. The available algorithms are: `AES128`, `AES192`, `AES256`.                        |
|     `DataDecryptionKey`       | string  | *No*     | -       | Controls the decryption key used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                          |
|     `DataDecryptionIV`        | string  | *No*     | -       | Controls the decryption IV used for data decryption. See [User-Controlled Encryption](/knowledgebase/user-controlled-encryption) for more information.                                                                                           |
| `responseParameters`          | object  | *No*     | -       | -                                                                                                                                                                                                                                                |
|     `body`                    | object  | *No*     | -       | Response body.                                                                                                                                                                                                                                   |
|     `error`                   | boolean | *No*     | -       | Indicates whether an error occurred (`false` means success)                                                                                                                                                                                      |
|     `status`                  | string  | *No*     | -       | Status code of the request (200, 404, 500, etc.). For more information, see [Response Codes](/api-reference/response-codes).                                                                                                                     |
|     `name`                    | string  | *No*     | -       | Name of the output file                                                                                                                                                                                                                          |
|     `credits`                 | integer | *No*     | -       | Number of credits consumed by the request                                                                                                                                                                                                        |
|     `remainingCredits`        | integer | *No*     | -       | Number of credits remaining in the account                                                                                                                                                                                                       |
|     `duration`                | integer | *No*     | -       | Time taken for the operation in milliseconds                                                                                                                                                                                                     |

## `Example` Payload

<Note>To see the request size limits, please refer to the [Request Size Limits](/api-reference/url-input-and-request-limits#pdf-co-request-size).</Note>

```json theme={null}
{
  "url": "https://pdfco-test-files.s3.us-west-2.amazonaws.com/email-extractor/sample.eml",
  "inline": true,
  "async": false
}
```

## `Example` Response

<Note>To see the main response codes, please refer to the [Response Codes](/api-reference/response-codes) page.</Note>

```json theme={null}
{
  "body": {
    "from": "test@example.com",
    "fromName": "",
    "to": [
      {
        "address": "test2@example.com",
        "name": ""
      }
    ],
    "cc": [],
    "bcc": [],
    "sentAt": null,
    "receivedAt": null,
    "subject": "Test email with attachments",
    "bodyHtml": null,
    "bodyText": "Test Email Message with 2 PDF files as attachments\r\n\r\n",
    "attachmentCount": 2
  },
  "error": false,
  "status": 200,
  "name": "sample.json",
  "remainingCredits": 60095
}
```

<Note>
  **Inconsistent URL Encoding in cURL Output:** When using cURL to make API requests, the output JSON may show URL characters encoded as Unicode escape sequences. For example, the ampersand character (`&`) may appear as `\u0026` in the cURL output. This is normal JSON encoding behavior and does not affect the validity of the URL. The URL will function correctly when used, as JSON parsers automatically decode these escape sequences. If you're parsing the response programmatically, your JSON parser will handle this conversion automatically.
</Note>

## Code Samples

<Tabs>
  <Tab title="CURL">
    ```bash theme={null}
    curl --location --request POST 'https://api.pdf.co/v1/email/decode' \
    --header 'Content-Type: application/json' \
    --header 'x-api-key: *******************' \
    --data-raw '{
    "url": "https://pdfco-test-files.s3.us-west-2.amazonaws.com/email-extractor/sample.eml",
    "inline": true,
    "async": false
    }'
    ```
  </Tab>
</Tabs>
